geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Owen Nichols (Jira)" <j...@apache.org>
Subject [jira] [Created] (GEODE-7182) TcpSslConn.cpp does not compile with gcc 8.3
Date Tue, 10 Sep 2019 17:28:00 GMT
Owen Nichols created GEODE-7182:
-----------------------------------

             Summary: TcpSslConn.cpp does not compile with gcc 8.3
                 Key: GEODE-7182
                 URL: https://issues.apache.org/jira/browse/GEODE-7182
             Project: Geode
          Issue Type: Bug
          Components: native client
            Reporter: Owen Nichols


I tried to build native client using:
$ gcc --version
gcc (Debian 8.3.0-6) 8.3.0
$ cmake --version
cmake version 3.13.4
$ openssl version
OpenSSL 1.1.1c  28 May 2019

and got:
cppcache/src/TcpSslConn.cpp:60: error: catching polymorphic type 'class std::exception' by
value

The BUILDING.md states that I should be able to use "GCC 5 or newer".

Fixing the code to resolve this warning is a straightforward 1-character change and a good
idea anyway even if the official pipelines continue to compile using older compilers that
don't generate this warning yet.



--
This message was sent by Atlassian Jira
(v8.3.2#803003)

Mime
View raw message